{
  "name": "@http2/server",
  "description": "HTTP/2 webserver for static files",
  "author": "Sebastiaan Deckers <sebdeckers83@gmail.com>",
  "repository": "gitlab:http2/server",
  "license": "ISC",
  "version": "4.5.2",
  "main": "src/master.js",
  "bin": {
    "http2server": "bin.js"
  },
  "scripts": {
    "prepublishOnly": "npm test",
    "test": "npm run lint && npm run proof",
    "lint": "standard --verbose | snazzy",
    "proof": "node -- node_modules/.bin/ava",
    "start": "node -- bin.js",
    "server": "npm run start -- start --config test/fixtures/http2server.config.js --root test/fixtures/public",
    "client": "nghttp -vns https://localhost:8443/",
    "benchmark": "h2load -v -n 10000 https://localhost:8443/index.html",
    "rebuild": "npm rebuild --nodedir=/Users/seb/Code/nodejs/http2 && npm install iltorb --nodedir=/Users/seb/Code/nodejs/http2",
    "openssl-alpn": "echo | /usr/local/opt/openssl/bin/openssl s_client -alpn h2 -connect http2.live:443 | grep ALPN"
  },
  "devDependencies": {
    "ava": "^0.19.1",
    "benchmark": "^2.1.4",
    "concat-stream": "^1.6.0",
    "microtime": "^2.1.6",
    "node-fetch": "^1.7.3",
    "snazzy": "^7.0.0",
    "standard": "^10.0.3",
    "through2-spy": "^2.0.0"
  },
  "dependencies": {
    "@http2/configuration": "^4.8.0",
    "accepts": "^1.3.4",
    "cache-digest": "^1.0.1",
    "child-process-promise": "^2.2.0",
    "chokidar": "^1.6.1",
    "command-exists": "^1.0.2",
    "compressible": "^2.0.12",
    "connect": "^3.6.5",
    "cookies": "^0.7.1",
    "d3-queue": "^3.0.3",
    "debounce-collect": "^1.0.2",
    "debug": "^2.6.9",
    "emoji-regex": "^6.5.1",
    "event-to-promise": "^0.8.0",
    "expr-eval": "^1.2.0",
    "extglob": "^1.1.0",
    "find-process": "^1.1.0",
    "glob": "^7.1.1",
    "hard-rejection": "^1.0.0",
    "hosted-git-info": "^2.5.0",
    "http-errors": "^1.6.2",
    "is-domain-name": "^1.0.1",
    "is-ip": "^2.0.0",
    "is-running": "^2.1.0",
    "jsonschema": "^1.2.0",
    "lodash.clonedeep": "^4.5.0",
    "lodash.defaultsdeep": "^4.6.0",
    "lru-cache": "^4.1.1",
    "micromatch": "^3.1.4",
    "middleware-plain-error-handler": "^2.0.0",
    "mime": "^1.4.1",
    "mkdirp": "^0.5.1",
    "negotiator": "^0.6.1",
    "ocsp": "^1.1.0",
    "opn": "^5.1.0",
    "os-name": "^2.0.1",
    "parseurl": "^1.3.2",
    "physical-cpu-count": "^2.0.0",
    "read-pkg-up": "^2.0.0",
    "recursive-readdir": "^2.1.1",
    "resolve-path": "^1.3.3",
    "rimraf": "^2.6.2",
    "send": "^0.16.1",
    "shell-escape": "^0.2.0",
    "slash": "^1.0.0",
    "stream-to-promise": "^2.2.0",
    "until-before": "^1.0.3",
    "update-notifier": "^2.3.0",
    "user-home": "^2.0.0",
    "yargs": "^8.0.2"
  },
  "ava": {
    "files": [
      "test/**/*.js"
    ],
    "source": [
      "src/**/*.js"
    ]
  }
}
